package com.iamberry.wechat.core.entity.machineNumber;

import java.util.Date;

/**
 * Created by Administrator on 2017/7/20.
 */
public class MachineNumberLogs  implements java.io.Serializable {
    private static final long serialVersionUID = 4802839619454841368L;
    private Integer logsId;
    private String logsBatch;//批次号
    private Integer logsNumber;//数量
    private String logsRemark;//描述
    private Date logsCreateTime;//创建时间
    private Double qrCodeNumber;//已完成条数D

    private Integer completedNumber;        //已完成套数

    public Integer getLogsId() {
        return logsId;
    }

    public void setLogsId(Integer logsId) {
        this.logsId = logsId;
    }

    public String getLogsBatch() {
        return logsBatch;
    }

    public void setLogsBatch(String logsBatch) {
        this.logsBatch = logsBatch;
    }

    public Integer getLogsNumber() {
        return logsNumber;
    }

    public void setLogsNumber(Integer logsNumber) {
        this.logsNumber = logsNumber;
    }

    public String getLogsRemark() {
        return logsRemark;
    }

    public void setLogsRemark(String logsRemark) {
        this.logsRemark = logsRemark;
    }

    public Date getLogsCreateTime() {
        return logsCreateTime;
    }

    public void setLogsCreateTime(Date logsCreateTime) {
        this.logsCreateTime = logsCreateTime;
    }

    public Integer getCompletedNumber() {
        return completedNumber;
    }

    public void setCompletedNumber(Integer completedNumber) {
        this.completedNumber = completedNumber;
    }

    public Double getQrCodeNumber() {

        return qrCodeNumber;
    }

    public void setQrCodeNumber(Double qrCodeNumber) {
        this.qrCodeNumber =  Double.valueOf(String.format("%.1f", qrCodeNumber * 1.0 / logsNumber * 100));
    }
}
